com.genesyslab.wfm8.API.service.config800

## Class CfgReportTaskShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgReportTaskShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskShort
      extends java.lang.Object
      implements java.io.Serializable

  Short form of `CfgReportTask`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswUserId` An ID of user that owns Report Task `CfgUser`
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmName` Name of report
    `protected int` | `wmReportTaskId` Report Task unique ID
    `protected int` | `wmReportType` Report Type
    `protected int` | `wmStatus` Report status `ECfgReportTaskStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmReportTaskId()` Gets the value of the wmReportTaskId property.
    `int` | `getWmReportType()` Gets the value of the wmReportType property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmReportTaskId(int value)` Sets the value of the wmReportTaskId property.
    `void` | `setWmReportType(int value)` Sets the value of the wmReportType property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `CfgReportTaskShort` | `withGswUserId(int value)`
    `CfgReportTaskShort` | `withWmName(java.lang.String value)`
    `CfgReportTaskShort` | `withWmReportTaskId(int value)`
    `CfgReportTaskShort` | `withWmReportType(int value)`
    `CfgReportTaskShort` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmReportTaskId

          protected int wmReportTaskId

      Report Task unique ID

    - #### wmReportType

          protected int wmReportType

      Report Type

    - #### wmName

          protected java.lang.String wmName

      Name of report

    - #### wmStatus

          protected int wmStatus

      Report status `ECfgReportTaskStatus`

    - #### gswUserId

          protected int gswUserId

      An ID of user that owns Report Task `CfgUser`

  - ### Constructor Detail

    - #### CfgReportTaskShort

          public CfgReportTaskShort()

  - ### Method Detail

    - #### getWmReportTaskId

          public int getWmReportTaskId()

      Gets the value of the wmReportTaskId property.

    - #### setWmReportTaskId

          public void setWmReportTaskId(int value)

      Sets the value of the wmReportTaskId property.

    - #### getWmReportType

          public int getWmReportType()

      Gets the value of the wmReportType property.

    - #### setWmReportType

          public void setWmReportType(int value)

      Sets the value of the wmReportType property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### withWmReportTaskId

          public CfgReportTaskShort withWmReportTaskId(int value)

    - #### withWmReportType

          public CfgReportTaskShort withWmReportType(int value)

    - #### withWmName

          public CfgReportTaskShort withWmName(java.lang.String value)

    - #### withWmStatus

          public CfgReportTaskShort withWmStatus(int value)

    - #### withGswUserId

          public CfgReportTaskShort withGswUserId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.